Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniSection

    java.lang.Object
      |
      +--net.sf.antcontrib.inifile.IniSection

All Implemented Interfaces:
  IniPart

public class IniSection
extends java.lang.Object
implements IniPart

Place class description here.

Since:
Author:
  inger,

Constructor Summary
`IniSection()`
`IniSection(java.lang.String name)`

Method Summary
`java.lang.String` | `getName()`
`java.util.List` | `getProperties()`
`IniProperty` | `getProperty(java.lang.String name)`
`void` | `removeProperty(java.lang.String name)`
`void` | `setName(java.lang.String name)`
`void` | `setProperty(IniProperty property)`
`void` | `write(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniSection

    public IniSection()

### IniSection

    public IniSection(java.lang.String name)

Method Detail

### getProperties

    public java.util.List getProperties()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

  Specified by:
    `write` in interface `IniPart`
    `java.io.IOException`

### getProperty

    public IniProperty getProperty(java.lang.String name)

### setProperty

    public void setProperty(IniProperty property)

### removeProperty

    public void removeProperty(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD